Printago API
PATCH /v1/sku-variants/props/{id}

Update a variant property

Requires: sku.edit

Path Parameters

id required
string
- Property identifier

Request Body

- Updated property data

UpdateSkuOptionPropertyRequest
nameoptional
string

Example Request

application/json
{
  "name": "string"
}

Response Schema

SkuOptionProperty
bindingIdoptional
string
bindingId2optional
string
bindingId3optional
string
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
optionIdrequired
string
pattern: ^[a-z0-9]{24}$
orderrequired
number
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "optionId": "string",
  "name": "string",
  "order": 1,
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:56.359Z",
  "updatedAt": "2026-08-24T03:58:56.359Z"
}